Package com.independentsoft.office.spreadsheet.drawing

# Class ShapeStyle

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.ShapeStyle

public class ShapeStyle extends Object
The Class ShapeStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeStyle()`
  Instantiates a new shape style.
  `ShapeStyle​(InternalXMLStreamReader reader)`
  Instantiates a new shape style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapeStyle`
  `clone()`
  `EffectReference`
  `getEffectReference()`
  Gets the effect reference.
  `FillReference`
  `getFillReference()`
  Gets the fill reference.
  `FontReference`
  `getFontReference()`
  Gets the font reference.
  `LineReference`
  `getLineReference()`
  Gets the line reference.
  `void`
  `setEffectReference​(EffectReference effectReference)`
  Sets the effect reference.
  `void`
  `setFillReference​(FillReference fillReference)`
  Sets the fill reference.
  `void`
  `setFontReference​(FontReference fontReference)`
  Sets the font reference.
  `void`
  `setLineReference​(LineReference lineReference)`
  Sets the line reference.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapeStyle

    public ShapeStyle()
    Instantiates a new shape style.

  - ### ShapeStyle

    public ShapeStyle​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new shape style.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public ShapeStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEffectReference

    public EffectReference getEffectReference()
    Gets the effect reference.
    Returns:
      the effect reference

  - ### setEffectReference

    public void setEffectReference​(EffectReference effectReference)
    Sets the effect reference.
    Parameters:
      `effectReference` - the new effect reference

  - ### getFillReference

    public FillReference getFillReference()
    Gets the fill reference.
    Returns:
      the fill reference

  - ### setFillReference

    public void setFillReference​(FillReference fillReference)
    Sets the fill reference.
    Parameters:
      `fillReference` - the new fill reference

  - ### getFontReference

    public FontReference getFontReference()
    Gets the font reference.
    Returns:
      the font reference

  - ### setFontReference

    public void setFontReference​(FontReference fontReference)
    Sets the font reference.
    Parameters:
      `fontReference` - the new font reference

  - ### getLineReference

    public LineReference getLineReference()
    Gets the line reference.
    Returns:
      the line reference

  - ### setLineReference

    public void setLineReference​(LineReference lineReference)
    Sets the line reference.
    Parameters:
      `lineReference` - the new line reference